Page MenuHomeFreeBSD

www/trac: Update *_DEPENDS
ClosedPublic

Authored by joneum on Aug 29 2017, 7:49 PM.

Details

Summary
  • Update *_DEPENDS:
    • devel/py-babel to 2.3.4
    • textproc/py-genshi to 0.7
    • textproc/py-docutils to 0.14
    • textproc/py-pygments to 2.2.0

Approved by: xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Test Plan

.www/trac: portlint -AC [21:14:58]
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
0 fatal errors and 2 warnings found.

poudriere testport:

10.3-amd64
10.3-i386
11.1-amd64
11.1-i386
12.0-CURRENT r321899 amd64
12.0-CURRENT r321913 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 11294
Build 11660: arc lint + arc unit

Event Timeline

www/trac/Makefile
5

No need for this.

tz requested changes to this revision.Sep 1 2017, 2:01 PM

pkg-static: DEVELOPER_MODE: Notice: arch "FreeBSD:11:i386" -- no architecture specific files found:

  • could this package use a wildcard architecture?

NO_ARCH= yes

Please check if a NO_ARCH is appropriate for this port. If yes please add it. If not, not. In both cases: approved.

This revision now requires changes to proceed.Sep 1 2017, 2:01 PM
In D12155#253145, @tz wrote:

pkg-static: DEVELOPER_MODE: Notice: arch "FreeBSD:11:i386" -- no architecture specific files found:

  • could this package use a wildcard architecture?

NO_ARCH= yes

Please check if a NO_ARCH is appropriate for this port. If yes please add it. If not, not. In both cases: approved.

http://joneumbox.org/data/11-1-i386-ports/2017-09-02_10h10m41s/logs/trac-1.2.2.log

I think, "NO_ARCH" is a good idear. I will commit it with it. Thanks for this hint, tz :-)

This revision was automatically updated to reflect the committed changes.